<?php

require '../system/start.php';
require '../system/functions.php';
only_level(3);
$str['mesto'] = 'Голосования';
$str['block'] = $set['site'].' / Панель управления / Голосования';
include '../style/'.$style.'/head.php';
switch($act)
{
	default:
	echo '<div class="where"><a href="votes.php?act=add">Добавить</a></div>';
	$query = mysql_query("select * from `votes` order by `id` desc limit ".$page.",".$set['str']."");
    if(mysql_num_rows($query) == 0)
    {
        echo '<div class="forum1">Голосования еще не созданы!</div>';
    }
    else
    {
	   while($row = mysql_fetch_assoc($query))
	   {
			echo '<div class="on"><a href="votes.php?act=answers&amp;id='.$row['id'].'">'.$row['title'].'</a><br /><a href="?act=edit&amp;id='.$row['id'].'">[ред]</a> <a href="?act=delete&amp;id='.$row['id'].'">[удл]</a></div>';
	   }
	    if(mysql_num_rows($query) > $set['str'])
        {
	       pages($page, mysql_num_rows($query), 'votes.php?', $set['str']);
        }
    }
	break;
	case 'add':
	if(isset($_POST['title']) && !empty($_POST['title']))
	{
		mysql_query ("INSERT INTO `votes` (title) VALUES ('".protect($_POST['title'])."')");
		$ins_id = mysql_insert_id();
		echo '<div class="where">Голосование успешно создано!<br />
		<a href="votes.php?act=add_answer&amp;id='.$ins_id.'">Добавить варианты голосования &gt;&gt;</a></div>';
		break;
	}
	echo '<div class="on"><form method="post" action="?act=add">
	<div>
	Название:<br />
	<input type="text" name="title" maxlength="32" value="" /><br />
	<input type="submit" value="Добавить" />
	</div></form></div><div class="where"><a href="index.php">Админ-панель</a></div>';
	break;
	case 'edit':
	$query = mysql_fetch_assoc(mysql_query("select * from `votes` where `id` = ".int($_GET['id']).""));
	if(empty($query['title']))
	{
		echo '<div class="on">Голосование не найдено!</div>';
		include '../style/'.$style.'/foot.php';
		exit;
	}
	if(isset($_POST['title']) && !empty($_POST['title']))
	{
		mysql_query ("UPDATE `votes` SET `title` = '".protect($_POST['title'])."' WHERE `id` = ".$query['id']."");
		echo '<div class="on">Голосование успешно обновлено!</div>
		<div class="where"><a href="index.php">Админ-панель</a></div>';
		include '../style/'.$style.'/foot.php';
		exit;
	}
	echo '<div class="on"><form method="post" action="?act=edit&amp;id='.$query['id'].'">
	<div>
	Название:<br />
	<input type="text" name="title" maxlength="32" value="'.$query['title'].'" /><br />
	<input type="submit" value="Обновить" />
	</div></form></div><div class="where"><a href="index.php">Админ-панель</a></div>';
	break;
	case 'delete':
	$query = mysql_fetch_assoc(mysql_query("select * from `votes` where `id` = ".int($_GET['id']).""));
	if(empty($query['title']))
	{
		echo '<div class="on">Голосование не найдено!</div>';
		include '../style/'.$style.'/foot.php';
		exit;
	}
	mysql_query ("DELETE FROM `votes` WHERE `id` = ".$query['id']."");
	echo '<div class="on">Голосование успешно удалено!</div>
	<div class="where"><a href="index.php">Админ-панель</a></div>';
	break;
	case 'answers':
	$q = mysql_fetch_assoc(mysql_query("select * from `votes` where `id` = ".int($_GET['id']).""));
	if(empty($q['title']))
	{
		echo '<div class="on">Голосование не найдено!</div>';
		include '../style/'.$style.'/foot.php';
		exit;
	}
	$query = mysql_query("select * from `votes_answers` where `id_vote` = ".int($q['id'])."");
	echo '<div class="mess"><a href="votes.php?act=add_answer&amp;id='.$q['id'].'">Добавить ответ</a></div>';
	if(mysql_num_rows($query) == 0)
	{
		echo '<div class="on">Ответов нет!</div>';
	}
	else
	{
	while($row = mysql_fetch_assoc($query))
	{
		$i++;
		if($i%2)
		{
			echo '<div class="forum1">';
		}
		else
		{
			echo '<div class="forum2">';
		}
		echo $row['title'].'<br /><a href="?act=edit_answer&amp;id='.$row['id'].'">[ред]</a> <a href="?act=delete_answer&amp;id='.$row['id'].'">[удл]</a></div>';
	}
	}
	break;
	case 'add_answer':
	$q = mysql_fetch_assoc(mysql_query("select * from `votes` where `id` = ".int($_GET['id']).""));
	if(empty($q['title']))
	{
		echo '<div class="on">Голосование не найдено!</div>';
		include '../style/'.$style.'/foot.php';
		exit;
	}
	if(isset($_POST['title']) && !empty($_POST['title']))
	{
		mysql_query ("INSERT INTO `votes_answers` (id_vote,title) VALUES (".$q['id'].",'".protect($_POST['title'])."')");
		echo '<div class="where">Ответ успешно добавлен!</div>';
	}
	echo '<div class="on"><form method="post" action="?act=add_answer&amp;id='.$q['id'].'">
	<div>
	Ответ:<br />
	<input type="text" name="title" maxlength="32" value="" /><br />
	<input type="submit" value="Добавить" />
	</div></form></div><div class="where"><a href="index.php">Админ-панель</a></div>';
	break;
	case 'edit_answer':
	$q = mysql_fetch_assoc(mysql_query("select * from `votes_answers` where `id` = ".int($_GET['id']).""));
	if(empty($q['title']))
	{
		echo '<div class="on">Ответ не найден!</div>';
		include '../style/'.$style.'/foot.php';
		exit;
	}
	if(isset($_POST['title']) && !empty($_POST['title']))
	{
		mysql_query ("UPDATE `votes_answers` SET `title` = '".protect($_POST['title'])."' WHERE `id` = ".$q['id']."");
		echo '<div class="where">Ответ успешно обновлен!</div>';
	}
	echo '<div class="on"><form method="post" action="?act=edit_answer&amp;id='.$q['id'].'">
	<div>
	Ответ:<br />
	<input type="text" name="title" maxlength="32" value="'.$q['title'].'" /><br />
	<input type="submit" value="Обновить" />
	</div></form></div><div class="where"><a href="index.php">Админ-панель</a></div>';
	break;
	case 'delete_answer':
	$query = mysql_fetch_assoc(mysql_query("select * from `votes_answers` where `id` = ".int($_GET['id']).""));
	if(empty($query['title']))
	{
		echo '<div class="on">Ответ не найден!</div>';
		include '../style/'.$style.'/foot.php';
		exit;
	}
	mysql_query ("DELETE FROM `votes_answers` WHERE `id` = ".$query['id']."");
	echo '<div class="on">Ответ успешно удален!</div>
	<div class="where"><a href="index.php">Админ-панель</a></div>';
	break;
}
include '../style/'.$style.'/foot.php';
?>